<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script type="text/javascript">

		//Ejercicio 1
		
		//concat
	/*	const clientes = ['Jazmin', 'Joselyn', 'Luis'];
		const empleados = ['Angel', 'Ana', 'Laura'];
		const contactos = clientes.concat(empleados);
		console.log(contactos);

		//join
		const clientes = ['Jazmin', 'Joselyn', 'Luis'];

		const contactos = clientes.join(" ");
		console.log(contactos);

		//push
		const clientes = ['Jazmin', 'Joselyn', 'Luis'];
		const empleados = ['Angel', 'Ana', 'Laura'];
		const contactos = clientes.push('Angel', 'Ana', 'Laura');
		console.log(contactos);
		console.log(clientes);

		//splice
		const clientes = ['Jazmin', 'Joselyn', 'Luis'];
		clientes.splice(3, 0, 'Angel', 'Ana', 'Laura')
		console.log(clientes);

		//Ejercicio 2
		var numbers = [5, 32, 43, 4];
		var resultado = numbers.filter(function(n) { return n % 2 !== 0; });

		console.log(resultado); 

		//Ejercicio 3
		var people = [{
						id: 1,
						name: "John", age: 28
						}, {
						id: 2,
						name: "Jane", age: 31
						}, { id: 3,
						name: "Peter", age: 55 
					}];
		var resultado = people.filter(function(persona) {
  			return persona.age < 35;});

		console.log(resultado); 

		//Ejercicio 4
		var resultado;
		let people = [
			{ name: "bob", id=1 }, 
			{ name: "john", id=2 }, 
			{ name: "alex", id=3 }, 
			{ name: "john", id=3 } ];

		//Ejercicio 5

		document.body.onload = mayor;
		function mayor(){
			var mayor = 0;
			var myArray = [1, 2, 3, 4];

			for (x=0; x<=myArray.length; x++) {
			  if (myArray[x] > mayor) {
			    mayor=myArray[x];
			  }
			  var menor = Math.min(...myArray);
			  }

		console.log("El numero menor es: ", menor);
		console.log("El numero mayor es: ", mayor);
		
		}

	 	
		

		//Ejercicio 6
		var object = { key1: 10, key2: 3, key3: 40, key4: 20 };

		var arreglo = [];
		var resultado = [];
		for(var valor in object) {
		  arreglo.push([valor, object[valor]]);
		  		console.log(resultado);
		  }
		}
		
		

		*/


	</script>
</body>
</html>